Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 05/19/2020 in all areas

  1. Give this a try .. welcome to CadTutor (defun c:foo (/ a d el s) ;; RJP » 2020-05-18 (vlax-for l (vla-get-layers (setq d (vla-get-activedocument (vlax-get-acad-object)))) (cond ((= -1 (vlax-get l 'lock)) (vlax-put l 'lock 0) (setq a (cons l a)))) ) (if (setq s (ssget "_X" '((0 . "DIMENSION")))) (foreach e (mapcar 'cadr (ssnamex s)) (vlax-for a (vla-item (vla-get-blocks d) (cdr (assoc 2 (setq el (entget e))))) (entmakex (append (entget (vlax-vla-object->ename a)) (list '(8 . "Busted_Dims") '(62 . 8) (assoc 410 el)) ) ) ) ;; Entdel does not work on layouts (vl-catch-all-apply 'vla-delete (list (vlax-ename->vla-object e))) ) ) (foreach l a (vlax-put l 'lock -1)) (princ) ) (vl-load-com)
    3 points
  2. I thought that the shape could lend itself to a hatch pattern, so I started writing one. But priorities changed and I have only managed to write half. But changing the hatch angle to 90 enabled the whole pattern to be drawn. So I claim two clicks
    2 points
  3. No clicks, 'arrayclassic' just fill in the numbers.
    2 points
  4. 2 points
  5. You should try the new trim command (2021), it would take all the 'fun' out of the exercise. PS it is fun it just works, no selction needed first, just pick what needs to go.
    1 point
  6. You DO know that AutoCAD LT does not support AutoLISP - correct?
    1 point
  7. I love a good puzzle! Command: 11 PLINE Specify start point: 0,0 Current line-width is 0.0000 Specify next point or [Arc/Halfwidth/Length/Undo/Width]: 2.25 Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: 2.25 Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: 2.25 Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: c Command: c COPY Select objects: l 1 found Select objects: Current settings: Copy mode = Single Specify base point or [Displacement/mOde/Multiple] <Displacement>: Specify second point or [Array] <use first point as displacement>: Command: aa ARRAY Select objects: Specify opposite corner: 2 found Select objects: Enter array type [Rectangular/PAth/POlar] <Polar>: Type = Polar Associative = Yes Specify center point of array or [Base point/Axis of rotation]: 0,0 Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: i Enter number of items in array or [Expression] <6>: 8 Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: Erase defining objects? [Yes/No] <No>: y Command: x EXPLODE Select objects: l 1 found Select objects: Command: mm MIRROR Select objects: 1 found Select objects: 1 found, 2 total Select objects: Specify first point of mirror line: Specify second point of mirror line: Erase source objects? [Yes/No] <No>: aa Invalid option keyword. Erase source objects? [Yes/No] <No>: Command: aa ARRAY Select objects: Specify opposite corner: 2 found Select objects: Enter array type [Rectangular/PAth/POlar] <Polar>: Type = Polar Associative = Yes Specify center point of array or [Base point/Axis of rotation]: 0,0 Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: i Enter number of items in array or [Expression] <6>: 8 Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: Erase defining objects? [Yes/No] <Yes>: Command: 11 PLINE Specify start point: Current line-width is 0.0000 Specify next point or [Arc/Halfwidth/Length/Undo/Width]: Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: *Cancel* Command: 11 PLINE Specify start point: Current line-width is 0.0000 Specify next point or [Arc/Halfwidth/Length/Undo/Width]: Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: *Cancel* Command: aa ARRAY Select objects: 1 found Select objects: Enter array type [Rectangular/PAth/POlar] <Polar>: Type = Polar Associative = Yes Specify center point of array or [Base point/Axis of rotation]: 0,0 Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: I Enter number of items in array or [Expression] <6>: 4 Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: Erase defining objects? [Yes/No] <Yes>: Command: Specify opposite corner or [Fence/WPolygon/CPolygon]: Command: qq QSAVE WHOOPS!!! This way is better! Command: 11 PLINE Specify start point: Current line-width is 0.0000 Specify next point or [Arc/Halfwidth/Length/Undo/Width]: 2.25 Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: 2.25 Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: 2.25 Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: c Command: PLINE Specify start point: *Cancel* Command: c COPY Select objects: 1 found Select objects: Current settings: Copy mode = Single Specify base point or [Displacement/mOde/Multiple] <Displacement>: Specify second point or [Array] <use first point as displacement>: Command: mm MIRROR Select objects: 1 found Select objects: Specify first point of mirror line: Specify second point of mirror line: Erase source objects? [Yes/No] <No>: Command: MIRROR Select objects: 1 found Select objects: Specify first point of mirror line: Specify second point of mirror line: Erase source objects? [Yes/No] <No>: Command: MIRROR Select objects: Specify opposite corner: 4 found Select objects: Specify first point of mirror line: Specify second point of mirror line: Erase source objects? [Yes/No] <No>: N Command: aa ARRAY Select objects: Specify opposite corner: 8 found Select objects: Enter array type [Rectangular/PAth/POlar] <Polar>: Type = Polar Associative = Yes Specify center point of array or [Base point/Axis of rotation]: Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: i Enter number of items in array or [Expression] <6>: 4 Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: *Cancel* Erase defining objects? [Yes/No] <Yes>: Command: 11 PLINE Specify start point: Current line-width is 0.0000 Specify next point or [Arc/Halfwidth/Length/Undo/Width]: Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: *Cancel* Command: aa ARRAY Select objects: 1 found Select objects: Enter array type [Rectangular/PAth/POlar] <Polar>: Type = Polar Associative = Yes Specify center point of array or [Base point/Axis of rotation]: Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: i Enter number of items in array or [Expression] <6>: 4 Select grip to edit array or [ASsociative/Base point/Items/Angle between/Fill angle/ROWs/Levels/ROTate items/eXit]<eXit>: Erase defining objects? [Yes/No] <Yes>: Command: 11 PLINE Specify start point: Current line-width is 0.0000 Specify next point or [Arc/Halfwidth/Length/Undo/Width]: Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: *Cancel* Command: qq QSAVE 55 I am pretty sure that somebody will improve on that, most likely by using MOCORO command, which I am too lazy to learn right now!
    1 point
  8. Two! rectangle and array
    1 point
  9. +1 @nukecad I'd rather be picking these than pushing up daisies
    1 point
  10. I've just noticed that you had time to play a tune as well. Is an aluminium viola similar to a steel guitar?
    1 point
  11. It is usually easy in Solidworks to make minor tweaks IIRC. Pretty much depends on what you are modeling on how you might want to start. Say I was doing some machined shafts with sprockets, pulleys, keyways etc., that would take some knowledge of the needed fits and finishes and tolerances to do exactly. Same thing with screws and other fasteners. Try doing rough drafts on a computer or by hand that get you started and gather all needed design information. Sometimes you have to tweak it and sometimes start over. Bad in = bad out. Get the best information you can to start.
    1 point
  12. Imo, the key for a beginner to draw this is to draw a 2.25 unit square.
    0 points
×
×
  • Create New...